/* --------------------------------------------------
GENERAL
----------------------------------------------------- */
html{
    scroll-behavior: smooth;
}

@keyframes fadeIn {
  from { opacity: 0; }
  to { opacity: 1; }
}

body{
    background-color: $color__white;
    padding-top: 150px;
}

.animate-in {
  -webkit-animation: fadeIn .5s ease-in;
  animation: fadeIn .5s ease-in;
}

.animate-out {
  -webkit-transition: opacity .5s;
  transition: opacity .5s;
  opacity: 0;
}

.btn{
    background-color: $color__main;
    color: $color__white;
    text-transform: uppercase;
    box-shadow: 0px 4px 14px rgba(34, 120, 221, 0.25);
    font-weight: 700;
    line-height: 1;
    padding: .75rem;
    border-radius: 50px;
    letter-spacing: 0.11em;
    transition: .5s ease;

    &:hover{
        background-color: $color__titles;
    }

    a{
        color: #fff;
        font-size: 1rem;
        font-weight: 700;
    }
}

/* --------------------------------------------------
DEFAULT PAGE
----------------------------------------------------- */
.page-template-default{
    .page-content{
        padding: 32px 60px;

        h1{
            font-size: 1.5rem;
        }
    }
}

/* --------------------------------------------------
HEADER
----------------------------------------------------- */
.primary-header{
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    width: 100%;
    padding: 20px 0;
    z-index: 100;
    transition: .5s ease;
    box-shadow: 0px 4px 16px -4px rgba(34, 31, 93, 0.08);
    background-color: $color__white;

    nav{
        ul{
            padding: 0;
            margin: 0;
            justify-content: flex-end;
        }

        a.btn{
            color: $color__white;
        }
    }
}

/* --------------------------------------------------
FOOTER
----------------------------------------------------- */
.primary-footer{
    padding: 2rem 0;
    border-top: 1px solid $color__grey;

    a{
        transition: .5s ease;
        color: $color__text;

        &:hover{
            color: $color__main;
        }
    }

    nav{
        ul{
            padding: 0;
            margin: 0;
            justify-content: flex-end;
        }
    }
}

/* --------------------------------------------------
SEARCH
----------------------------------------------------- */
.hotels__search-form{
    position: relative;
    padding: 1.25rem 0;

    input,select{
        width: 100%;
        background: none;
        border: none;
        padding: 0;

        &::placeholder{
            color: $color__black;
        }
    }

    button{
        border: none;
        border-radius: 50%;
        background-color: $color__black;
        box-shadow: none;
        padding: 0;
        height: 3.25rem;
        line-height: 3.25rem;
        width: 3.25rem;
        position: absolute;
        right: 8px;
        top: 0;
        bottom: 0;
        margin: auto;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: .5s ease;

      &:hover{
        background: $color__main;
      }
    }
}

//Litepicker
.litepicker{
    font-family: $font__main;
}

:root {
--litepickerDayIsStartBg: #EB4455 !important;
--litepickerDayIsEndBg: #EB4455 !important;
--litepickerDayColorHover: #EB4455 !important;
--litepickerMonthButtonHover: #EB4455 !important;
--litepickerDayIsInRange: #f1afaa !important;
}
